Bug 964762 - setup & upgrade should enforce open-jdk JRE using alternatives
setup & upgrade should enforce open-jdk JRE using alternatives
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: Moran Goldboim
Pavel Stehlik
integration
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-19 12:37 EDT by Barak
Modified: 2015-09-22 09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-20 19:05:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Barak 2013-05-19 12:37:01 EDT
Today the engine-setup & upgrade do not force the use of open-jdk.

This creates issues like the one described in Bug 961081.

See also bug 860329 for reference (a documentation bug).
Comment 3 Itamar Heim 2013-05-20 15:51:02 EDT
isn't it bad form to force alternatives in the machine, rather make sure we use what we need?
Comment 4 Alon Bar-Lev 2013-05-20 16:05:13 EDT
(In reply to Itamar Heim from comment #3)
> isn't it bad form to force alternatives in the machine, rather make sure we
> use what we need?

Correct.
Application should not touch system wide settings.
Application that is jre sensitive should select its flavor of what installed.

Alternatives could have been more helpful if it could have been queried for its information. But for now, we simply search the right jre.

In Gentoo, for example, it is much more advanced...

$ java-config --select-vm=icedtea-7 --java
/usr/lib64/icedtea7/bin/java
$ java-config --select-vm=icedtea-7 --javac
/usr/lib64/icedtea7/bin/javac
$ java-config --select-vm=icedtea-7 --jre-home
/usr/lib64/icedtea7
Comment 6 Alon Bar-Lev 2013-05-20 16:07:48 EDT
This is dup of bug#834436, and juan work within.

Note You need to log in before you can comment on or make changes to this bug.